Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class PassageType

    java.lang.Object
      org.crosswire.jsword.passage.PassageType

All Implemented Interfaces:
  Serializable

    public abstract class PassageType

extends Object
implements Serializable

Types of Passage optimizations.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`static PassageType` | `MIX` Optimize the Passage for a mix
`private String` | `name` The name of the PassageListType
`private static int` | `nextObj`
`private int` | `obj`
`static PassageType` | `SIZE` Optimize the Passage for size
`static PassageType` | `SPEED` Optimize the Passage for speed
`static PassageType` | `TALLY` Optimize the Passage for tally operations
`private static PassageType[]` | `VALUES`
`static PassageType` | `WRITE_SPEED` Optimize the Passage for write speed

Constructor Summary
`PassageType(String name)` Simple ctor

Method Summary
`abstract Passage` | `createEmptyPassage()` Create an empty, optimized passage
`abstract Passage` | `createPassage(String passage)` Create an optimized passage
`boolean` | `equals(Object o)` Prevent subclasses from overriding canonical identity based Object methods
`static PassageType` | `fromInteger(int i)` Lookup method to convert from an integer
`static PassageType` | `fromString(String name)` Lookup method to convert from a String
`int` | `hashCode()` Prevent subclasses from overriding canonical identity based Object methods
`(package private) Object` | `readResolve()`
`static int` | `toInteger(PassageType type)` Lookup method to convert from an integer
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SPEED

    public static final PassageType SPEED

  Optimize the Passage for speed

### WRITE_SPEED

    public static final PassageType WRITE_SPEED

  Optimize the Passage for write speed

### SIZE

    public static final PassageType SIZE

  Optimize the Passage for size

### MIX

    public static final PassageType MIX

  Optimize the Passage for a mix

### TALLY

    public static final PassageType TALLY

  Optimize the Passage for tally operations

### name

    private String name

  The name of the PassageListType

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final PassageType[] VALUES

Constructor Detail

### PassageType

    public PassageType(String name)

  Simple ctor

Method Detail

### createPassage

    public abstract Passage createPassage(String passage)
                                   throws NoSuchVerseException

  Create an optimized passage

  Parameters:
    `passage` -
  Returns:
    the optimized passage
  Throws:
    `NoSuchVerseException`

### createEmptyPassage

    public abstract Passage createEmptyPassage()

  Create an empty, optimized passage

  Returns:
    the optimized, empty passage
  Throws:
    `NoSuchVerseException`

### fromString

    public static PassageType fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static PassageType fromInteger(int i)

  Lookup method to convert from an integer

### toInteger

    public static int toInteger(PassageType type)

  Lookup method to convert from an integer

### equals

    public final boolean equals(Object o)

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public final int hashCode()

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD